#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
#    cte.py
#       
#    Copyright 2010 Victor Ramirez <virako.9@gmail.com>
#       
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""Este módulo es para guardar las constantes que se usan en el programa."""

import time


# variables

PLAYER_B = "player_b"
RANK_B = "20k"
PLAYER_W = "player_w"
RANK_W = "20k"
SIZE = 19


# Cte

WITH_WEBCAM = 1
WITH_VIDEO = 2
BLACK = 0
WHITE = 1
SPACE = -1
TEXT_INTERSECTION = "Intersecciones encontradas. ¿Estan bien?(Y/N)"
NAME_FILE = "Inserte el nombre del archivo y pulse Intro: "
EJE_X = 0
EJE_Y = 1
KEY_NOT_DOWN = -1L
THRESHOLD = 0.7


fecha_actual = time.strftime("%d %b %Y")
tiempo = 1800

INITSGF = ( "(;FF[4]GM[1]SZ[%d]" %(SIZE),
            "\nAP[Tablerogo]",  
            "\nPB[%s]" %PLAYER_B,
            "\nBR[%s]" %RANK_B, 
            "\nHA[0]", 
            "\nPW[%s]" %PLAYER_W,
            "\nWR[%s]" %RANK_W,
            "\nKM[6.5]DT[%s]" %fecha_actual,
            "\nTM[%d]" %tiempo,
            "\nRU[Japanese]",
            "\n("
          )

"""
CARACTERISTICAS DE LOS ARCHIVOS .SGF
====================================

* AB: Add Black: locations of Black stones to be placed on the board prior to the first move.
* AW: Add White: locations of White stones to be placed on the board prior to the first move.
* AN: Annotations: name of the person commenting the game.
* AP: Application: application that was used to create the SGF file (e.g. CGOban2,...).
* B: a move by Black at the location specified by the property value.
* BR: Black Rank: rank of the Black player.
* BT: Black Team: name of the Black team.
* C: Comment: a comment.
* CP: Copyright: copyright information. See Kifu Copyright Discussion.
* DT: Date: date of the game.
* EV: Event: name of the event (e.g. 58th Honinbo Title Match).
* FF: File format: version of SGF specification governing this SGF file.
* GM: Game: type of game represented by this SGF file. A property value of 1 refers to Go.
* GN: Game Name: name of the game record.
* HA: Handicap: the number of handicap stones given to Black. Placment of the handicap stones are set using the AB property.
* KM: Komi: komi.
* ON: Opening: information about the opening (fuseki), rarely used in any file.
* OT: Overtime: overtime system.
* PB: Black Name: name of the black player.
* PC: Place: place where the game was played (e.g.: Tokyo).
* PL: Player: color of player to start.
* PW: White Name: name of the white player.
* RE: Result: result, usually in the format "B+R" (Black wins by resign) or "B+3.5" (black wins by 3.5 moku).
* RO: Round: round (e.g.: 5th game).
* RU: Rules: ruleset (e.g.: Japanese).
* SO: Source: source of the SGF file.
* SZ: Size: size of the board, non square boards are supported.
* TM: Time limit: time limit in seconds.
* US: User: name of the person who created the SGF file.
* W: a move by White at the location specified by the property value.
* WR: White Rank: rank of the White player.
* WT: White Team: name of the White team. 

"""

