#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
#    difference.py
#       
#    Copyright 2010 Victor Ramirez <virako.9@gmail.com>
#       
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

"""
Devuelve la diferencia entre dos matrices/imagenes dadas, 
aplicándoles anteriormente el efecto Smooth
"""

from opencv.cv import *


def difference(img1, img2):
    """Devuelve la diferencia entre dos matrices/imagenes dadas, 
       aplicándoles anteriormente el efecto Smooth"""
    aux1 = cvCreateMat(img1.rows, img1.cols, img1.type)
    aux2 = cvCreateMat(img1.rows, img1.cols, img1.type)
    res = cvCreateMat(img1.rows, img1.cols, img1.type)
    
    cvSmooth(img1,aux1, CV_GAUSSIAN,5,5)
    cvSmooth(img2,aux2, CV_GAUSSIAN,5,5)
    
    cvAbsDiff(aux1, aux2, res) 
    return res


